Watchlist expiry: Watch pages for a specified time frame (2013)
Open, Stalled, NormalPublic

Description

Survey: 2013

Original wish (German): https://de.wikipedia.org/wiki/Wikipedia:Umfragen/Technische_W%C3%BCnsche/Beobachtungsliste
Update sites on-wiki:

User Stories:
Here's the proposal from 2015, contributed by User:Derek Andrews:
"I would like to be able to set an expiry time for watchlist items, of say one week or one month. There are many pages that I do maintenance on or repair vandalism that I would like to watch for a brief period of time, but have no long term interest in. The UI I envisage would just have additional tick boxes: watch this page indefinitely, watch for one week; watch for one month."

Other reasons for short-term page watching:

  • Watch a talk page of a user that you message for a response for a limited time
  • Watch a page for a specified amount of time after a page protection expires
  • Watch a page for a short amount of time after reverting vandalism on the page.
  • Watch a time boxed discussion page for the length of the timebox

Scoping by TCB-Team:
Version 1.0: set-up a limited timeframe (view: edit normally), change the timeframe (view: edit normally), overview over timeframes (view: edit normally).

Version 2.0: set-up limited timeframe when adding article to watchlist (view:article), overview over timeframes and ability to change them (view: watchlist), warning about articles to be removed in 3 or less days (view: watchlist)

Workboard: Expiring-Watchlist-Items

Related tickets:
T8964: Watch pages for a few days only (add an expiry time) was merged into this one

Related Objects

StatusAssignedTask
StalledNone
StalledNone
ResolvedAddshore
ResolvedAddshore
InvalidAddshore
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedAddshore
ResolvedAddshore
StalledNone
ResolvedAddshore
StalledNone
StalledNone
StalledNone
OpenNone
ResolvedAddshore
StalledNone
There are a very large number of changes, so older changes are hidden. Show Older Changes
Scott added a comment.Oct 6 2015, 7:50 PM

If any work is being done on this fairly complex development, could serious thought please be given to implementing multiple watchlists (T3492) either as part of it, or first, which have been requested as a core feature since at least 2005.

I went through the code base and just marked all of the bits in core that would need to be touched for this currently
https://gerrit.wikimedia.org/r/#/c/245881/
This only adds notes about back-end stuff really, no JS / UI stuff

It would likely make sense to try and do some re factoring first, its crazy how these queries are spread out everywhere.
Of course there is also the option of doing this as an extension, but I feel this would just make integration with many core things hard.

As for the request above for multiple watch lists T3492 these things should be done separately and realistically don't actually overlap very much.
Of course general re factoring and tidy up will help both..

Sadads removed a subscriber: Sadads.Oct 13 2015, 2:58 PM

Change 245881 had a related patch set uploaded (by Addshore):
WIP RFC - Look at expiring watchlist items

https://gerrit.wikimedia.org/r/245881

Qgil removed a subscriber: Qgil.Oct 13 2015, 9:51 PM

Thanks @Addshore for summing up!

Scott added a comment.Oct 18 2015, 2:28 AM

As for the request above for multiple watch lists T3492 these things should be done separately and realistically don't actually overlap very much.
Of course general re factoring and tidy up will help both..

I appreciate that. It's just galling to see the potential of movement on a significant addition to a core feature proposed in 2015, while a fundamental and basic upgrade to the same feature that editors have been crying out for for a decade continues to be ignored.

@Scott just want to point out that this feature was requested some time ago too. Probably not a decade ago, but almost. See T8964.

@Scott just want to point out that this feature was requested some time ago too. Probably not a decade ago, but almost. See T8964.

9 August 2006. Oof. In that case, I wish nothing but the best of luck in seeing your feature get implemented. Just wish me the same back in return....

Catrope removed a subscriber: Catrope.Jan 15 2016, 11:11 PM
IMPORTANT: If you are a community developer interested in working on this task: The Wikimedia Hackathon 2016 (Jerusalem, March 31 - April 3) focuses on #Community-Wishlist-Survey projects. There is some budget for sponsoring volunteer developers. THE DEADLINE TO REQUEST TRAVEL SPONSORSHIP IS TODAY, JANUARY 21. Exceptions can be made for developers focusing on Community Wishlist projects until the end of Sunday 24, but not beyond. If you or someone you know is interested, please REGISTER NOW.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 21 2016, 2:53 PM

As a user I do not want to set limited timeframe to keep an article on my watchlist. Behind the user story is a *valid* user request.

However
My story: As a user when I visit my wachtlist I would want to be able to filter the pages for which changes are displayed on date the page was added to my watchlist.

Alternative formulation: as a user I *do not* want to see on special: watchlist changes to pages I added to my watchlist _ages_ ago.

Implementation suggestion
On my wachtlist I see "Period of time to display: " and a drop down box next to it from which I can select for example 2 days, 3 days, 30 days and other time slots.
What I can image is to have next to that "From pages added to the watchlist in the last:" followed by a dropbox from which I can select for example 2 days, 3 days, 30 days and other time slots.
As far as I know the date a page is added to the watchlist is currently not recorded.

  • Add 'date added page to watchlist' field to the list / table of watchlist entries
  • Add a filter to the watchlist special page

Rationale
The above suggestion is to radically simplify the *valid* user request, which might be easily implemented and covers at least 80% of value of what watchlist users want to accomplish.

@AdHuikeshoven please see T124752. Most likely the final solution will go into the direction you're describing above. I will cleanup the sub stories here, once we have a decision on a clear way forward. Thanks for your input!

DannyH added a subscriber: DannyH.Mar 14 2016, 10:53 PM

Change 245881 abandoned by Addshore:
WIP RFC - Look at expiring watchlist items

Reason:
Abandoning as there will be no point in trying to rebase this once the refactoring is done.
Of course code from here may still be used....

https://gerrit.wikimedia.org/r/245881

He7d3r added a subscriber: He7d3r.Mar 19 2016, 9:38 PM
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptApr 20 2016, 8:17 PM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE renamed this task from [GTWL] Epic: Possibility to remove articles from watchlist after a custom timeframe to Watchlist expiry: Watch pages for a specified time frame (2013).
Lea_WMDE updated the task description. (Show Details)
Addshore changed the status of subtask T125991: Add wl_timestamp to the watchlist table from Open to Stalled.Mar 21 2017, 9:35 AM
Addshore changed the status of subtask T129478: Refactor watchlist related code to use WatchedItemStore from Open to Stalled.
Addshore changed the status of subtask T129486: Introduce watchlist_props table from Open to Stalled.Mar 21 2017, 11:50 AM
Addshore changed the status of subtask T127954: Make use of wl_id field from Open to Stalled.
Addshore changed the status of subtask T127953: Populate wl_timestamp field from Open to Stalled.
Addshore changed the task status from Open to Stalled.

Stalled pending resuming work here once wl_id is deployed on wmf sites (T130067).

Izno added a subscriber: Izno.May 12 2017, 3:00 PM

After T130067 is resolved (which is Soon it looks like), what does the schedule look like for development of this feature? Are we looking 1 quarter into the future? 2? Or longer?

Addshore changed the status of subtask T124752: [RFC] Expiring watch list entries from Open to Stalled.Jan 15 2018, 9:52 AM
Dvorapa removed a subscriber: Dvorapa.Nov 18 2018, 7:17 PM
Restricted Application added a project: Growth-Team. · View Herald TranscriptNov 18 2018, 7:17 PM
daniel added a subscriber: daniel.Nov 29 2018, 9:44 PM

This is on the Community Wishlist Survey 2019, and seems to get a lot of support: https://meta.wikimedia.org/wiki/Community_Wishlist_Survey_2019/Watchlists/Watchlist_item_expiration